//--
//--    Copyright  1994,1995 Uluwatu Software.  All rights reserved.
//--
//--	Author:  Mark Salsbery (CIS 71603,3643)
//--
//-- 	Feel free to use this code any way you wish (at your own risk,
//--	  of course).
//--

#if !defined(__ULU_OPSAVDLG_H)
#define __ULU_OPSAVDLG_H


class TCustomFileOpenDialog : public TFileOpenDialog
{
	private:
	protected:
		TBrush *pBkBrush;
		TIcon *pIcon;
		HICON hOldIcon;
		// Control interface objects
		TButton *pHelpButton;
		TStatic *pIconPlace;
		// TFileOpenDialog over-rides
		virtual void SetupWindow();
		virtual void CleanupWindow();
		// Message Handlers
		HBRUSH EvCtlColor(HDC hDC, HWND, UINT);
	public:
		TCustomFileOpenDialog(TWindow *pParent, TData &data,
											  LPCSTR pTitle, TModule *pMod);
		virtual ~TCustomFileOpenDialog();

	DECLARE_RESPONSE_TABLE(TCustomFileOpenDialog);
};


class TCustomFileSaveDialog : public TFileSaveDialog
{
	private:
	protected:
		TBrush *pBkBrush;
		TIcon *pIcon;
		HICON hOldIcon;
		// Control interface objects
		TButton *pHelpButton;
		TStatic *pIconPlace;
		// TFileSaveDialog over-rides
		virtual void SetupWindow();
		virtual void CleanupWindow();
		// Message Handlers
		HBRUSH EvCtlColor(HDC hDC, HWND, UINT);
	public:
		TCustomFileSaveDialog(TWindow *pParent, TData &data,
											  LPCSTR pTitle, TModule *pMod);
		virtual ~TCustomFileSaveDialog();

	DECLARE_RESPONSE_TABLE(TCustomFileSaveDialog);
};



#endif  // #if !defined(__ULU_OPSAVDLG_H)
